BUGLE-WIREFRAME(7)

NAME
bugle-wireframe - force rendering in wireframe mode

SYNOPSIS

filterset wireframe

DESCRIPTION

The wireframe filter-set overrides the polygon mode, setting it to GL_LINES. This is useful for visualising the triangulation of models.

BUGS

    • Run-time activation and deactivation are not fully supported.

    • Display lists that alter the polygon mode will cause problems.

    • As with any filter-set that modifies OpenGL state, it will break complex rendering techniques like render-to-vertex-buffer.

    • Texturing is generally disabled to make the lines more visible, but fragment programs will nevertheless continue to apply textures.

AUTHOR

bugle is written and maintained by Bruce Merry.

SEE ALSO

bugle(3), glPolygonMode(3)